新しいブログに引っ越しました

tomotomoSnippetは新しいブログに移動しました
http://develtips.com/

2015-11-01

PHP7環境下でYii2を動かしてみる #php7mongoyii2 第1回

前回はMac OSX El CapitanにPHP7をインストールして動くようになるところまで行きました。
今回はチュートリアルに沿ってYii2をインストールして動かしてみます。
The Definitive Guide to Yii 2.0

Installing via Composerによると以下のコマンドでインストールできるとのこと。
$ composer global require "fxp/composer-asset-plugin:~1.0.3"
$ composer create-project --prefer-dist yiisoft/yii2-app-basic basic

しかし、The requested package fxp/composer-asset-plugin could not be found in any version, there may be a typo in the package name.という謎のメッセージ。。 。typoちゃうし。。
Packagistのfxp/composer-asset-pluginを確認すると新しいバージョンが出ている模様。困ったら最新版をインストール。
$ composer global require "fxp/composer-asset-plugin:1.1.0"
$ composer create-project --prefer-dist yiisoft/yii2-app-basic basic


composer asset plugin v1.1.0 を使ったら上手く行った
インストールは上手く行ったようなので、実際に動かしてみます。

$ cd app/web
$ php -S localhost:8080

http://localhost:8080/ にアクセスするとPHP7環境下でもちゃんと動いていることが確認できました。


ここまでのコードをGitHub上に公開しましたので、同じことをしたい方が入れば使ってください。
tomotomo / yii2test (lesson1)

次回は、MongoDBで動くようにしてみようと思います。

0 件のコメント:

コメントを投稿

人気のエントリー